Index: /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 142)
@@ -3,36 +3,36 @@
 ;------------------------------------------------------------
 ;+
-; NAME:floatlevel2depth
 ;
-; PURPOSE: assez comparable a level2depth. C'est la fonction inverse
-; de depth2floatlevel
+; @file_comments 
+; Rather comparable to level2depth. It is the invert funcion of depth2floatlevel
 ;
-; CATEGORY:SANS BOUCLE
+; @categories
+; Without loop
 ;
-; CALLING SEQUENCE:res=floatlevel2depth(niveau)
-; 
-; INPUTS: tableau 2d de niveaux seuil (ou une structure repondant aux
-; criteres de litchamp)
+; @param TAB
+; 2d array of sill levels (or a structure respecting litchamp criterions)
 ;
-; KEYWORD PARAMETERS:
-;       /NOMASK: pour ne pas masquer les points terres
+; @keyword NOMASK
+; To do not mask land points
 ;
-; OUTPUTS: un tableau 2d contenant des profondeurs
+; @returns
+; 2d array containing depthes
 ;
-; COMMON BLOCKS:common.pro
+; @uses
+; common.pro
 ;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
+; @examples
 ;    IDL> a=gdept[jpk-1]/(1.*jpi*jpj)*findgen(jpi,jpj)
 ;    IDL> plt, 1e6*(a-floatlevel2depth(depth2floatlevel(a))),/nocontour
 ;
-;  ->champ nul a 1e-6 pres
+;  ->null field at 1e-6 pres
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      15/6/2000
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -43,21 +43,21 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; To key_performance
 @common
 ;------------------------------------------------------------
    flevelin = litchamp(tab)
-; on vire les points a !values.f_nan
+; We delete points at !values.f_nan
    notanumber = where(finite(flevelin, /nan) EQ 1)
    if notanumber[0] NE -1 then flevelin[notanumber] = 0
-; on seuil (vire les points terres a valmask par ex)
+; We sill (delete land points at valmask for example)
    flevelin = 0 > flevelin < (jpk-1)
-; on calcule la profondeur 
+; We caculate the depth 
    depthup = level2depth(floor(flevelin), /nomask)
    depthlow= level2depth(ceil(flevelin), /nomask)
    weight = flevelin-floor(flevelin)
    res = depthup+weight*(depthlow-depthup)
-; on replace les points a !values.f_nan
+; We put back points at !values.f_nan
    if notanumber[0] NE -1 then res[notanumber] = !values.f_nan
-; on masque les points terres a valmask
+; We mask land points at valmask
    if NOT keyword_set(nomask) then begin
       grille,mask
Index: /trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 142)
@@ -12,4 +12,7 @@
 ;               annex 6 freezing point of seawater F.J.Millero pp.29-35
 ;	checkvalue: fsfzpt=-2.588567 deg.c,for s=40.0,p=500 decibars
+;
+; @todo seb
+;
 ;-
 FUNCTION fsfzpt, pfs, pfp
Index: /trunk/SRC/ToBeReviewed/CALCULS/grad.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/grad.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/grad.pro	(revision 142)
@@ -26,4 +26,7 @@
 ;
 ; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @todo seb: remplir les truc!
+;
 ;
 ;-
Index: /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 142)
@@ -3,109 +3,79 @@
 ;------------------------------------------------------------
 ;+
-; NAME: grossemoyenne
-;
-; PURPOSE:  averages a 3- or 4-d time serie field over a selected
-;           geographical area or along the time axis. For one ore more
-;	    selected axes (x, y, z, t)
-;
-; CATEGORY:
-;
-; CALLING SEQUENCE: result = grossemoyenne(tab,'direc',BOXZOOM=boxzoom)
-;
-; INPUTS:	tab = 3 or 4d field
-;		direc ='x' 'y' 'z' 't' 'xy' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt'
-;		'xyt' 'xzt' 'yzt' or 'xyzt' 
-;
-; KEYWORD PARAMETERS:
-;
-;		boxzoom = [xmin,xmax,ymin,ymax (,(zmin,)zmax)] pour plus
-;		de detail cf domdef
-;               boxzoom peut prendre 5 formes: 
-;               [vert2], [vert1, vert2],[lon1, lon2, lat1, lat2],  
-;               [lon1, lon2, lat1, lat2, vert2],[lon1, lon2, lat1, lat2, vert1,vert2]
+;
+; @file_comments  
+; averages a 3- or 4-d time serie field over a selected
+; geographical area or along the time axis. For one ore more
+; selected axes (x, y, z, t)
+;
+; @categories
+;
+; @param TAB {in}{required}
+; 3 or 4d field
+;
+; @param DIREC {in}{required}
+; 'x' 'y' 'z' 't' 'xy' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt'
+; 'xyt' 'xzt' 'yzt' or 'xyzt' 
+;
+; @keyword BOXZOOM  
+; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see domdef
+; boxzoom can have 5 forms: 
+; [vert2], [vert1, vert2],[lon1, lon2, lat1, lat2],  
+; [lon1, lon2, lat1, lat2, vert2],[lon1, lon2, lat1, lat2, vert1,vert2]
 ;             
-;               NAN: not a number, a activer si l''on peut faire veut
-;               faire une moyenne sans tenir compte de certaines
-;               valeurs masques de tab.
-;               si les valeurs masques de tab sont la valeur consacree
-;               par IDL (!values.f_nan), il suffit de mettre /NAN.
-;               si les valeurs masques de tab on pour valeur a (a doit
-;               etre differente de 1 (correspond a nan =
-;               !values.f_nan) et de 0 (qui desactive nan).
-;               Il faut mettre NAN=a. 
-;               Rq: en sorties les points de result qui sont NAN
-;               auront pour valeur a ou !values.f_nan.
+; @keyword NAN 
+; not a number, we activate it if we want to average without considerate some masked values of TAB.
+; If masked values of TAB are values consecrated by IDL(!values.f_nan), wr just have to put NAN.
+; If masked values of TAB are valued a (a must be different of 1, corresponding to nan =
+; !values.f_nan and of 0, which desactivate nan). We have to put NAN=a. 
+; Comment: In output, rsult points which are NAN will be valued a or !values.f_nan.
 ;            
-;               NODOMDEF: activer si l''on ne veut pas passer ds
-;               domdef bien que le mot cle boxzoom soit present (comme
-;               c''est le cas qd grossemoyenne est appelee via
-;               checkfield)
-;
-;               INTEGRATION: pour faire une integrale plutot qu''une
-;               moyenne
-;
-;               /SPATIALFIRST, when performing at the same time
-;               spatial and temporal mean, grossemoyenne is assuming
-;               that the mask is not changing with the time. In
-;               consequence, grossemoyenne performs temporal mean
-;               first and then call moyenne. Activate /SPATIALFIRST if
-;               you want to perform the spatial mean before the
-;               temporal mean. Note that if NAN is activated, then
-;               SPATIALFIRST is activated automatically.
-;
-;               /TEMPORALFIRST: to force to perform first temporal
-;               mean even if nan is activated (see SPATIALFIRST
-;               explanations...)
+; @keyword NODOMDEF
+; We activate it if we do not want to pass in domdef even if the keyword boxzoom 
+; is present (like when grossemoyenne is called via checkfield)
+;
+; @keyword INTEGRATION 
+; To make an integral rather than an average
+;
+; @keyword SPATIALFIRST 
+; when performing at the same time
+; spatial and temporal mean, grossemoyenne is assuming
+; that the mask is not changing with the time. In
+; consequence, grossemoyenne performs temporal mean
+; first and then call moyenne. Activate /SPATIALFIRST if
+; you want to perform the spatial mean before the
+; temporal mean. Note that if NAN is activated, then
+; SPATIALFIRST is activated automatically.
+;
+; @keyword TEMPORALFIRST 
+; to force to perform first temporal
+; mean even if nan is activated (see SPATIALFIRST
+; explanations...)
 ;
 ; 
-;         /WDEPTH: to specify that the field is at W depth instad of T 
-;         depth (automatically activated if vargrid eq 'W')
-;            
-; OUTPUTS: 
-;
-; COMMON BLOCKS:   result:un tableau 
-;	common    domdef
-;
-; SIDE EFFECTS: met les valeurs correspondants a la terre a 1e20
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Jerome Vialard (jv@lodyc.jussieu.fr)
+; @keyword WDEPTH 
+; to specify that the field is at W depth instad of T 
+; depth (automatically activated if vargrid eq 'W') 
+;
+; @uses
+; result:un tableau 
+; common
+; domdef
+;
+; @restrictions Put values corresponding to land at 1.e20
+;
+; @history 
+; Jerome Vialard (jv@lodyc.jussieu.fr)
 ;			2/7/98
 ;                       Sebastien Masson (smasson@lodyc.jussieu.fr)
-; adaptation pour les tableaux comportants une dimension temporelle
+; adaptation array containing a temporal dimension 
 ;                       14/8/98
 ;                       15/1/98
-;                       12/3/99 adaptation pour NAN et utilisation de TEMPORARY
+;                       12/3/99 adaptation for NAN and utilisation of TEMPORARY
+;
+; @version
+; $Id$
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-; PLAN DU PROGRAMME:
-;------------------------------------------------------------
-;------------------------------------------------------------
-;I) preliminaires
-;   I.1) determination des directions de moyennes d''apres direc
-;   I.2) verification de la taille du tableau d''entree
-;   I.3) obtention des facteurs d''echelles et du masque sur le sous
-;   domaine concerne par la moyenne 
-;II) moyennes pour les tableaux 3d (x,y,t)
-;   II.1) verification de la coherence de la taille du tableau a
-;   moyenner 
-;   II.2) renvoie sur moyenne qd une moyenne sur t est demandee
-;   II.3) differents types de moyennes possibles
-;III) moyennes pour les tableaux 4d (x,y,z,t)
-;   III.1) verification de la coherence de la taille du tableau a
-;   moyenner 
-;   III.2) differents types de moyennes possibles
-;IV ) finitions
-;   IV.1) on masque les terres par une valeur a 1e+20
-;   IV.2) on remplace, quand nan ne 1, !values.f_nan par nan
-;   IV.3) on revient au sous domaine initial.
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+
 function grossemoyenne, tab, direc, BOXZOOM = boxzoom, INTEGRATION = integration $
                         , NAN = nan, NODOMDEF = nodomdef, WDEPTH = wdepth $
@@ -124,7 +94,7 @@
   ENDIF
 ;---------------------------------------------------------
-  tempsun = systime(1)          ; pour key_performance
-;------------------------------------------------------------
-;I) preliminaires
+  tempsun = systime(1)          ; For key_performance
+;------------------------------------------------------------
+;I) preliminaries
 ;------------------------------------------------------------
   dirt = 0
@@ -134,5 +104,5 @@
   dim  = 'aa'
 ;------------------------------------------------------------
-; I.1) direction(s) suivants lesquelles on integre
+; I.1) Directions(s) we follow to integrate
 ;------------------------------------------------------------
   if ( strpos(direc, 't') ge 0 ) then dirt = 1
@@ -144,5 +114,5 @@
   IF keyword_set(temporalfirst) THEN spatialfirst = 0
 ;------------------------------------------------------------
-; I.2) verification de la taille du tableau d'entree
+; I.2) verification of the input array's size
 ;------------------------------------------------------------
   taille = size(tab)
@@ -161,10 +131,8 @@
   endcase
 ;------------------------------------------------------------
-;   I.4) obtention des facteurs d''echelles et du masque sur le sous
-;   domaine concerne par la moyenne 
-; redefinition du domaine ajuste a boxzoom (a 6 elements)
-; ceci va nous permetre de faire les calcules que sur le sous domaine
-; comcerne par la moyenne. domdef, suivit de grille nous donne tous
-; les tableaux de la grille sur le sous domaine 
+;   I.3) Obtainment of scale's factors and of the mask on the subdomain concernedby the average.
+; Redefinition of the domain ajusted at boxzoom (at 6 elements)
+; This will allowed us to calculate only in the domain concerned by the average.
+; Domdef, followed by grid give us all arrays of the grid on the subdomain 
 ;------------------------------------------------------------
   if keyword_set(boxzoom) then BEGIN 
@@ -184,9 +152,9 @@
   ENDIF 
 ;---------------------------------------------------------------
-; attribution du mask et des tableaux de longitude et latitude...
+; attribution of the mask and of longitude and latitude arrays...
 ;---------------------------------------------------------------
   grille, mask, glam, gphi, gdep, nx, ny, nz, firstx, firsty, firstz, lastx, lasty, lastz, e1, e2, e3, WDEPTH = wdepth
 ;------------------------------------------------------------
-; I.3) si dirt eq 1 on fait la moyenne temporelle et on envoie ds moyenne
+; I.4) if dirt equal 1, we make the temporal average and we send it in moyenne
 ;------------------------------------------------------------
   if dirt EQ 1 AND NOT keyword_set(spatialfirst) then begin
@@ -252,15 +220,13 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; II) Cas serie tableaux 2d (tab3d)
+; II) Case 2d arrays series (tab3d)
 ;------------------------------------------------------------
 ;------------------------------------------------------------
   if (dim eq '3d') then begin
 ;---------------------------------------------------------------
-;   II.1) verification de la coherence de la taille du tableau a
-;   moyenner 
-; verification de la coherence entre la taille du tableau et le
-; domaine definit par domdef
-; le tableau en entree doit avoir soit la taille du domaine total
-; (jpi,jpj,jpt) soit celle du domaine reduit (nx,ny,jpt)
+;   II.1) verification of the coherence of the array's size to average
+; Verification of the coherence between the array's size and the domain defined by domdef
+; The input array must have either the total domain's size (jpi,jpj,jpt) or this 
+; one of the reduced domain (nx,ny,jpt)
 ;---------------------------------------------------------------
     case 1 of
@@ -275,6 +241,6 @@
     endcase
     if keyword_set(nan) NE 0 then BEGIN 
-      if nan NE 1 then BEGIN    ; si nan n''est pas !values.f_nan 
-; on le met a !values.f_nan
+      if nan NE 1 then BEGIN    ; If nan is not !values.f_nan 
+; we put it at !values.f_nan
         if abs(nan) LT 1e6 then notanumber = where(res EQ nan) $
         ELSE notanumber = where(abs(res) GT abs(nan)/10.)
@@ -283,7 +249,7 @@
     ENDIF
 ;---------------------------------------------------------------
-; rq IL FAUT FAIRE ATTENTION AUX CAS OU LA DIM A MOYENNER = 1, ET
-; S'ASSURER QU'ELLE EXISTE BIEN. D'OU LES reform(...,nx,ny,...) QUI
-; PEUVENT SEMBLER INUTILE AU DEPART
+; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1, 
+; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN 
+; LOOK USELESS AT THE BEGINNING
 ;---------------------------------------------------------------
     if nx EQ 1 OR ny EQ 1 then BEGIN 
@@ -295,5 +261,5 @@
       mask =  reform(mask, nx, ny, nz, /over)
 ;---------------------------------------------------------------
-; II.3) differents types de moyennes
+; II.3) Different types of average
 ;---------------------------------------------------------------
     if keyword_set(nan) NE 0 then msknan = finite(res) ELSE msknan = -1
@@ -352,14 +318,13 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; III) Cas serie tableaux 3d (tab4d)
+; III) Case 3d arrays series (tab4d)
 ;------------------------------------------------------------
   if (dim eq '4d') then begin
 ;---------------------------------------------------------------
-; III.1) verification de la coherence de la taille du tableau a
-; moyenner 
-; verification de la coherence entre la taille du tableau et le
-; domaine definit par domdef 
-; le tableau en entree doit avoir soit la taille du domaine total
-; (jpi,jpj,jpk,jpt) soit celle du domaine reduit (nx,ny,ny,jpt)
+; III.1) Verification of the coherence of the array to average size 
+; Verification of the coherence between the array's size and the domain 
+; defind by domdef 
+; The input array must have either the total domain size (jpi,jpj,jpk,jpt) 
+; or this one of the reduced domain (nx,ny,ny,jpt)
 ;---------------------------------------------------------------
     case 1 of
@@ -382,6 +347,6 @@
     if nx EQ 1 OR ny EQ 1 OR nz EQ 1 OR jpt EQ 1 then res = reform(res, nx, ny, nz, jpt, /over)
     if keyword_set(nan) NE 0 then BEGIN 
-      if nan NE 1 then BEGIN    ; si nan n''est pas !values.f_nan 
-; on le met a !values.f_nan
+      if nan NE 1 then BEGIN    ; if nan is not !values.f_nan 
+; we put it at !values.f_nan
         if abs(nan) LT 1e6 then notanumber = where(res EQ nan) $
         ELSE notanumber = where(abs(res) GT abs(nan)/10.)
@@ -390,7 +355,7 @@
     ENDIF
 ;---------------------------------------------------------------
-; rq IL FAUT FAIRE ATTENTION AUX CAS OU LA DIM A MOYENNER = 1, ET
-; S'ASSURER QU'ELLE EXISTE BIEN. D'OU LES reform(...,nx,ny,...) QUI
-; PEUVENT SEMBLER INUTILE AU DEPART
+; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1, 
+; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN 
+; LOOK USELESS AT THE BEGINNING
 ;---------------------------------------------------------------
     if nx EQ 1 OR ny EQ 1 OR nz EQ 1 then BEGIN 
@@ -410,5 +375,5 @@
     ENDIF ELSE bottom = -1
 ;---------------------------------------------------------------
-; III.2) differents types de moyennes
+; III.2) different average types
 ;---------------------------------------------------------------
     IF keyword_set(nan) NE 0 THEN msknan = finite(res) ELSE msknan = -1
@@ -608,8 +573,8 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-;IV ) finitions
-;------------------------------------------------------------
-;------------------------------------------------------------
-; IV.1) on masque les terres par une valeur a 1e+20
+;IV ) finishing
+;------------------------------------------------------------
+;------------------------------------------------------------
+; IV.1) We mask land by a value equal to 1.e+20
 ;------------------------------------------------------------
   valmask = 1e+20
@@ -619,5 +584,5 @@
   ENDIF 
 ;------------------------------------------------------------
-; IV.2) on remplace, quand nan ne 1, !values.f_nan par nan
+; IV.2) We replace, when nan equal 1, !values.f_nan by nan
 ;------------------------------------------------------------
   if keyword_set(nan) NE 0 then BEGIN 
@@ -630,6 +595,5 @@
   ENDIF
 ;------------------------------------------------------------
-; IV.3) on se remplace ds le sous domaine qui etait definit a l''entree de
-; moyenne 
+; IV.3) We replace in the domain whch was defined at the entry of average
 ;------------------------------------------------------------
   if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
Index: /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 142)
@@ -3,64 +3,66 @@
 ;------------------------------------------------------------
 ;+
-; NAME:hdyn
 ;
-; PURPOSE:calcule la hauteur dynamique par rapport a un etat de
-; reference pour une profondeur de reference. Cf les mots cles pour
-; les differentes possibilites. 
-; Par defaut l''etat de reference est
-; rho=1020 et la profondeur de reference est gdepw[ka] avec ka le
-; premier niveau W directement au dessus de 1000 m. 
+; @file_comments
+; Calculate the height by rapport to a reference state for a depth reference. 
+; See keywords for different possibilities. By default, the state reference 
+; is rho=1020 and the depth reference is gdepw[ka] with ka the first W level 
+; directly above 1000 m. 
 ;
-; CATEGORY: calculs de post-traitement
+; @categories
+; Post-traiment calculation
 ;
-; CALLING SEQUENCE:res=hdyn(sn,tn)
+; @param TABSN {in}{required}
+; array representing the salinity
 ;
-; INPUTS:sn et tn sont des tableaux de meme taille representant la
-; salinite et la temperature.
+; @param TABTN {in}{required}
+; array representing the temperature.Has the same size than SN
 ;
-; KEYWORD PARAMETERS:
+; @keyword GILL We activate this key if we want to calculate the dinamic height 
+; like in the GILL page 215, which means by rapport to a reference state which 
+; vary in depth and which is determinated by a reference temperature tref at 0°C 
+; and a reference salinity sref at 35psu
 ;
-;        GILL: activer cette cle si on veut faire le calcul de la
-;        hauteur dynamique comme ds le GILL page 215 cad par rapport a
-;        un etat de reference qui varie en profondeur et qui est
-;        determine par une temperature de reference tref a 0 degre et
-;        une salinite de reference sref a 35psu
+; @keyword LEVEL
+; It is the same reference level to take. This level is defined like 
+; that gdepw[level] is the reference depth
+; 
+; @keyword SREF 
+; Give a value to this keyword to change the reference salinity used in the 
+; calculation when GILL  is activated. 
+;   
+; @keyword TREF
+; Give a value to this keyword to change the reference temperature used in the 
+; calculation when GILL  is activated.
+; 
+; @keyword PROFREF
+; Give a depth to this keyword which will be considerated as the refeence depth 
+; (in this case, LEVEL has not any effect). the calculation will be effectuated 
+; until this depth effecting an interpolation between the the last W level above 
+; PROFREF and PROFREF.
 ;
-;        LEVEL: C''est le niveau de reference a prendre. Ce niveau est
-;        definit tel que gdepw[level] est la profondeur de reference
+; @keyword SURFACE_LEVEL 
+; It is the level where we wan to calculate the dynamic height. By default, it is 
+; the level 0.
 ;
-;        SREF: donner une valeur a ce mot cle pour changer la salinite
-;        de reference utiliser ds le calcul lorsque GILL est active.
-;   
-;        TREF: donner une valeur a ce mot cle pour changer la temperature
-;        de reference utiliser ds le calcul lorsque GILL est active.
+; @returns
+; An array of the same size of sn and tn representing the dynamic height calculated 
+; from a reference depth nd by rapport to a reference state.
 ;
-;        PROFREF: donner a ce mot cle une profondeur qui sera prise comme
-;        la profondeur de reference (ds ce cas LEVEL n'' a aucun
-;        effet). le calcul sera alors effectue jusqu''a cette
-;        profondeur en effectuant une interpolation entre le dernier
-;        niveau W au dessus de PROFREF et PROFREF.
+; @uses 
+; common.pro
 ;
-;        SURFACE_LEVEL: C''est le niveau auquel on veut calculer la
-;        hauteur dynamique. Par defaut c''est le niveau 0.
+; @restrictions
+; Points for which we can not calculate the dynamic height (whose the batymetry 
+; is less deep than the reference depth) are put at the value !values.f_nan
 ;
-; OUTPUTS:un tableau de la meme taille que sn et tn representant la
-; hauteur dynamique calculee a partir d''une profondeur de reference
-; et par rapport a un etat de reference.
+; @restrictions
+; approximation: The pressure in decibars is equal to the depth in meters (the pressure increase of 1bar all 10m)
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;
-; SIDE EFFECTS:
-; les points pour lesquels on nje peut calcule la hauteur dynamique
-; (dont la batymetrie est moins profonde que la profondeur de
-; reference) sont mis a la valeur !values.f_nan
-;
-; RESTRICTIONS:approximation: la pression en decibars est egale a la
-; profondeur en metres (la pression augmente de 1bar tous les 10m)
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @version
+; $Id$
 ;
 ;-
@@ -72,13 +74,12 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; for key_performance
 @common
 
    if NOT keyword_set(surface_level) then surface_level = 0
-; utile si GILL est active
+; useful if GILL is activated
    if NOT keyword_set(tref) then tref = 0.
    if NOT keyword_set(sref) then sref = 35.
-; on determine si besoin est la profondeur de reference et le niveau
-; W situe directement au dessus.
+; If needed, we determinate the reference depth and the W level situated directly above.
    if keyword_set(profref) then begin
       rien = where(gdepw LE profref, level)
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 142)
@@ -4,33 +4,31 @@
 ;------------------------------------------------------------
 ;+
-; NAME:level2depht
 ;
-; PURPOSE: permet de passer d''un tableau 2d de niveau au
-; tableau 2d de profondeur correspondant a ces niveaux
+; @file_comments
+; Allows to pass from a 2d level array to a 2d depth array corresponding o these levels
 ;
-; CATEGORY: SANS BOUCLE
+; @categories
+; Without loop
 ;
-; CALLING SEQUENCE: res=level2depth(niveau)
+; @param TAB {in}{required}
+; 2d level array of sill levels (or a structure respecting litchamp criterions)
 ;
-; INPUTS: niveau tableau 2d de niveaux seuil (ou une structure repondant
-; aux criteres de litchamp)
+; @keyword NOMASK
+; To do not mask land points.
 ;
-; KEYWORD PARAMETERS:
-;       /NOMASK: pour ne pas masquer les points terres
+; @returns 
+; 2d array containing depthes
 ;
-; OUTPUTS: un tableau 2d contenant des profondeurs
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       17/6/1999
 ;                       14/6/2000 accepte !values.f_nan
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -41,14 +39,13 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; To key_performance
 @common
 ;------------------------------------------------------------
-; lecture du champ d''entree et recuperation de la taille du sous
-; domaine utilise
+; Reading of the input field  and recovery of the used subdomain's size
 ;------------------------------------------------------------
    niveaux = litchamp(tab)
    grille,mask, -1, -1,gdep,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
 ;---------------------------------------------------------------
-; verification de la coherence entre la taille du tableau et le domaine definit par domdef
+; verification of the coherence between array's size and the domain definied by domdef
 ;---------------------------------------------------------------
    taille = size(niveaux)
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 142)
@@ -3,34 +3,28 @@
 ;------------------------------------------------------------
 ;+
-; NAME:level2index
 ;
-; PURPOSE: on veut ds une matrice 3d extraire un tableau 2d (x,y) dont
-; chacun des elements a ete extrait a un niveau specifie par le
-; tableau 2d level (typiquement, on veut obtenir la salinite le long
-; d''une isopycne que l''on a reperee par son niveau).
-; level2index est une fonction qui donne en fonction de level un
-; tableau 2d d'indice qui permettra d''extraire le tableau 2d du
-; tableau 3d...
+; @file_comments 
+; We want, from a 3d matrix, to extract a 2d (x,y) array whose each element 
+; has been extract from a level specified by the 2d level array (typically, 
+; we want to obtain the salinity along an isopycn we have repered by its level).
+; level2index is a function who give, in function of level, a 2d indexes array 
+; which will allow to extract the 2d array from the 3d array...
 ;
-; CATEGORY: SANS BOUCLE
+; @categories
+; without loop
 ;
-; CALLING SEQUENCE: index=level2index(level)
-; 
-; INPUTS:level: un tableau 2d de niveaux
+; @param LEVEL {in}{required}
+; A 2d level array
 ;
-; KEYWORD PARAMETERS:
+; @returns
+; a 2d indexes array
 ;
-; OUTPUTS: untableau 2d d''indices
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                      24/11/1999
 ;
-; COMMON BLOCKS:
+; @version
+; $Id$
 ;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                      24/11/1999
 ;-
 ;------------------------------------------------------------
@@ -38,9 +32,8 @@
 ;------------------------------------------------------------
 FUNCTION level2index, level
-; un elements de tableau 3d (dont les 2 premieres dimensions sont nx et
-; ny) dont les coordonnes sont i, j et k a pour indice ds le meme
-; tableau 3d  i + j*nx + k*(nx*ny)
-; level etant donne, pour chaque points de level on connait i, j et k,
-; on peut donc calculer l''indice.
+; An element of 3d array (whose the two first dimensions are nx and ny) whose 
+; coordinates are i, j and k have for index in the same 3d array i + j*nx + k*(nx*ny)
+; level given, for  each point of level, we know i, j et k,
+; so we can calculate the index
 ;
   compile_opt idl2, strictarrsubs
@@ -49,5 +42,5 @@
    nx = taille[1]
    ny = taille[2]
-; tableau k*(nx*ny)
+; array k*(nx*ny)
    tabknxny = (nx*ny)*long(level)
 ;
